Needed to change class from raid to ide so seabios can boot from it.

Signed-off-by: Tobias Diedrich <ranma+coreboot@tdiedrich.de>

---

Index: src/include/device/pci_ids.h
===================================================================
--- src/include/device/pci_ids.h.orig	2010-11-07 17:32:22.000000000 +0100
+++ src/include/device/pci_ids.h	2010-11-07 17:33:44.000000000 +0100
@@ -1229,6 +1229,7 @@
 #define PCI_DEVICE_ID_VIA_VT8237A_LPC	0x3337
 #define PCI_DEVICE_ID_VIA_VT8237S_LPC	0x3372
 #define PCI_DEVICE_ID_VIA_VT8237_SATA	0x5372
+#define PCI_DEVICE_ID_VIA_VT8237A_SATA	0x0591
 #define PCI_DEVICE_ID_VIA_VT8237_VLINK	0x287e
 #define PCI_DEVICE_ID_VIA_VT8237R_UHCI	0x3038
 #define PCI_DEVICE_ID_VIA_VT8237R_EHCI	0x3104
Index: src/southbridge/via/vt8237r/vt8237r_sata.c
===================================================================
--- src/southbridge/via/vt8237r/vt8237r_sata.c.orig	2010-11-07 17:32:22.000000000 +0100
+++ src/southbridge/via/vt8237r/vt8237r_sata.c	2010-11-07 17:33:44.000000000 +0100
@@ -119,6 +119,12 @@
 	.device	= PCI_DEVICE_ID_VIA_VT8237_SATA,
 };
 
+static const struct pci_driver northbridge_driver_i_a __pci_driver = {
+	.ops	= &sata_i_ops,
+	.vendor	= PCI_VENDOR_ID_VIA,
+	.device	= PCI_DEVICE_ID_VIA_VT8237A_SATA,
+};
+
 static const struct pci_driver northbridge_driver_i __pci_driver = {
 	.ops	= &sata_i_ops,
 	.vendor	= PCI_VENDOR_ID_VIA,



